Package Base Details: rust-git

Git Clone URL: https://aur.archlinux.org/rust-git.git (read-only, click to copy)
Keywords: mozilla rust
Submitter: mrshpot
Maintainer: spider-mario (ishitatsuyuki)
Last Packager: ishitatsuyuki
Votes: 26
Popularity: 0.004746
First Submitted: 2012-01-21 11:30
Last Updated: 2018-02-11 11:49

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 ... Next › Last »

crazedpsyc commented on 2016-10-19 10:27

It looks like cmake should be a build dependency.

c4757p commented on 2016-10-05 22:12

Sweet, thanks - works for me.

spider-mario commented on 2016-10-02 20:50

It seems to be a known bug: https://github.com/rust-lang/rust/issues/36451

I have applied a temporary fix (reverting 5e9149d as suggested by cesarb), but it will likely break when the issue is fixed upstream. I will probably need to be reminded to remove the patch then.

c4757p commented on 2016-10-01 02:55

install: error: Option '--docdir=/home/cmp/src/rust-git/pkg/rust-git/usr/share/doc/rust' is not recognized

?

eduardosm commented on 2016-07-01 10:46

rust.nanorc has been moved to the upstream nano package and it's been removed from rust/nano-config, so you should remove the lines

install --directory "$pkgdir"/usr/share/nano/
cp -a "$srcdir"/nano-config/*.nanorc "$pkgdir"/usr/share/nano/

(and "git+https://github.com/rust-lang/nano-config.git" from source too)

See: https://github.com/rust-lang/nano-config/blob/master/README.md

spider-mario commented on 2016-03-26 23:22

This should be fixed, thanks.

intelfx commented on 2016-03-26 14:50

> file owned by 'gtksourceview3' and 'rust-git': 'usr/share/gtksourceview/3.0/language-specs/rust.lang'

So, please, don't clone & package gedit-config.

spider-mario commented on 2015-03-11 06:23

I think makepkg is slightly confused by the fact that this is a split package where both packages don’t have the same architecture… (rust-doc-git is an “any” package.)

I suppose a workaround would be to make rust-doc-git arch-specific, even though it’s not. Would that seem acceptable?

MusicidalOtaku commented on 2015-03-10 22:31

After the build process pacman complains it can't find the package file... It succeeded before...
Installing with pacaur.

spider-mario commented on 2015-02-02 09:52

Thanks, I will fix it as soon as I can.

A build-time dependency on perl is not needed, however, as perl is not only part of the base group, but needed by git as well.